preoblemi dipendenze su Ubuntu server

Discussioni su come configurare hoteldruid ed utilizzare al meglio le sue funzionalità.

Moderator: marco

Post Reply
riogaldo
Posts: 3
Joined: Tue Dec 04, 2018 9:05 am

preoblemi dipendenze su Ubuntu server

Post by riogaldo » Sat Dec 15, 2018 12:24 pm

ciao
ho alcuni problemi di installazione di Hoteldruid ultima versione.
installo il pacchetto .deb dal mio server... l'installazione va a buon fine con degli errori che in seguito non mi permettono di aseguire gli update
di seguito il report dal terminale:

root@dl160:~# dpkg -i /home/michele/hoteldruid_2.3.0-1_all.deb
Selezionato il pacchetto hoteldruid non precedentemente selezionato.
(Lettura del database... 750601 file e directory attualmente installati.)
Preparativi per estrarre .../hoteldruid_2.3.0-1_all.deb...
Estrazione di hoteldruid (2.3.0-1)...
dpkg: problemi con le dipendenze impediscono la configurazione di hoteldruid:
hoteldruid dipende da libapache2-mod-php | php-cgi | php; comunque:
Il pacchetto libapache2-mod-php non è installato.
Il pacchetto php-cgi non è installato.
Il pacchetto php non è installato.
hoteldruid dipende da php-sqlite3; comunque:
Il pacchetto php-sqlite3 non è installato.
hoteldruid dipende da php-xml; comunque:
Il pacchetto php-xml non è installato.

dpkg: errore nell'elaborare il pacchetto hoteldruid (--install):
problemi con le dipendenze - lasciato non configurato
Elaborazione dei trigger per mime-support (3.54ubuntu1.1)...
Elaborazione dei trigger per hicolor-icon-theme (0.13-1)...
Elaborazione dei trigger per man-db (2.6.7.1-1ubuntu1)...
Si sono verificati degli errori nell'elaborazione:
hoteldruid

riesco ad utilizzare hoteldruid ma appena faccio un update attraverso apt-get:

I seguenti pacchetti hanno dipendenze non soddisfatte:
hoteldruid : Dipende: libapache2-mod-php ma non è installabile oppure
php-cgi ma non è installabile oppure
php ma non è installabile
Dipende: php-sqlite3 ma non è installabile
Dipende: php-xml ma non è installabile
Raccomanda: php-imap ma non è installabile
E: Dipendenze non trovate. Riprovare usando -f.

madiante insall-f viene rismosso hoteldruid

Qualcuno conosce la soluzione?

marco
Posts: 1289
Joined: Tue Jul 05, 2005 6:00 pm
Location: Roma, Italia
Contact:

Re: preoblemi dipendenze su Ubuntu server

Post by marco » Thu Nov 07, 2019 9:26 pm

Ciao,
con dpkg devi installare le dipendenze del pacchetto a mano. Puoi provare con "sudo apt install /home/michele/hoteldruid_2.3.0-1_all.deb".

Saluti,
Marco
Problems installing, configuring, upgrading?
Try the easiest way to use HotelDruid:
https://www.digitaldruid.net/hosted/index.php

Post Reply